"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = exports.Config = exports.name = void 0;
const koishi_1 = require("koishi");
const Answer = __importStar(require("./answer.json"));
const utils_1 = require("./utils");
exports.name = 'answerbook';
exports.Config = koishi_1.Schema.object({
    duration: koishi_1.Schema.number().default(10).min(1).max(20).description('答案的等待时长'),
});
const answerList = Answer;
function apply(ctx, cfg) {
    ctx.command('answer', '在答案之书中寻找答案')
        .example('answer -q 今天我要摸鱼吗？')
        .example('翻阅答案/答案之书')
        .option('ask', '-a 采用问答模式')
        .option('question', '-q <question:string> 设定你想询问的问题')
        .shortcut('翻阅答案', { options: {} })
        .shortcut('答案之书', { options: { ask: true } })
        .action(async ({ options, session }) => {
        console.log(options);
        let { question } = options;
        if (options.ask && !options.question) {
            session.send("有什么困扰你的难题呢？");
            question = await session.prompt(30 * 1000);
        }
        else if (!options.question) {
            await session.sendQueued('在心中默念你的问题，之后答案之书会给你答案', cfg.duration * koishi_1.Time.second);
            question = session.username + new Date().toISOString();
        }
        const id = (0, utils_1.randomIdFormQuestion)(question, answerList?.length);
        await session.sendQueued((0, koishi_1.segment)('at', { id: session.userId }) + `${answerList[id].answer}`);
    });
}
exports.apply = apply;
