"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomIdFormQuestion = void 0;
const randomIdFormQuestion = (question, max = 1, min = 0) => {
    let seed = string2Hash(question);
    seed = (seed * 9301 + 49297) % 233280;
    const rnd = seed / 233280.0;
    return Math.ceil(min + rnd * (max - min));
};
exports.randomIdFormQuestion = randomIdFormQuestion;
const string2Hash = (str) => {
    let hash = 0, i = 0, chr = 0;
    if (str.length === 0)
        return hash;
    for (; i < str.length; i++) {
        chr = str.charCodeAt(i);
        hash = ((hash << 5) - hash) + chr;
        hash |= 0;
    }
    return hash > 0 ? hash : -hash;
};
